Public Class PersonListViewItem
    Inherits ListViewItem
    'ListViewItem, das eine Referenz auf eine Person enthlt
    Private WithEvents m_Person As Person
    ReadOnly Property Person() As Person
        Get
            Return m_Person
        End Get
    End Property
    Public Sub New(ByVal Pers As Person)
        m_Person = Pers
        Me.SubItems.Add("")
        Person_Neu_Lesen()
    End Sub

    Private Sub m_Person_Geaendert() Handles m_Person.Geaendert
        Person_Neu_Lesen()
    End Sub

    Private Sub Person_Neu_Lesen()
        Me.Text = m_Person.Nachname
        Me.SubItems(1).Text = m_Person.Vorname
        If m_Person.Maennlich Then
            Me.ImageIndex = 0
        Else
            Me.ImageIndex = 1
        End If
    End Sub

End Class
