Public Class Command_Person_NachOben
    Inherits Command

    Private m_Frm As frm_Main
    Private m_LVI As PersonListViewItem
    Private m_StartPosition As Integer

    ReadOnly Property LVI() As PersonListViewItem
        Get
            Return m_LVI
        End Get
    End Property


    Public Sub New(ByVal LVI As PersonListViewItem, ByVal Frm As frm_Main)
        m_StartPosition = LVI.Index
        m_LVI = LVI
        m_Frm = Frm
    End Sub

    Public Overrides ReadOnly Property Name() As String
        Get
            Return "Person nach oben verschieben"
        End Get
    End Property

    Public Overrides Sub DoAction()
        Position_Aendern(m_StartPosition - 1)
    End Sub

    Public Overrides Sub RedoAction()
        Position_Aendern(m_StartPosition - 1)
    End Sub

    Public Overrides Sub UndoAction()
        Position_Aendern(m_StartPosition)
    End Sub

    Private Sub Position_Aendern(ByVal NeuerIndex As Integer)
        m_Frm.Moving = True

        m_Frm.ListView1.Items.Remove(m_LVI)
        m_Frm.Personen.Remove(m_LVI.Person)
        m_Frm.ListView1.Items.Insert(NeuerIndex, m_LVI)
        m_Frm.Personen.Insert(NeuerIndex, m_LVI.Person)
        m_LVI.Selected = True
        m_Frm.Moving = False
        m_Frm.Personen.Geaendert = True
        m_LVI.EnsureVisible()
        m_Frm.AktuellePerson_Lesen()
    End Sub


    Public Overrides ReadOnly Property IsNoop() As Boolean
        Get
            Return False
        End Get
    End Property
End Class
