Public Class Command_Geschlecht_Aendern
    Inherits Command

    Private m_frm As frm_Main
    Private m_Person As Person = Nothing

    Private m_maennlichAlt As Boolean = False
    Private m_maennlichNeu As Boolean = False

    Public WriteOnly Property maennlichNeu() As Boolean
        Set(ByVal value As Boolean)
            m_maennlichNeu = value
            m_Person.Maennlich = value
        End Set
    End Property
    Public ReadOnly Property Person() As Person
        Get
            Return m_Person
        End Get
    End Property

    Public Sub New(ByVal frm As frm_Main, ByVal Person As Person)
        m_frm = frm
        m_Person = Person
    End Sub
    Public Overrides ReadOnly Property Name() As String
        Get
            Return "Geschlecht ndern"
        End Get
    End Property

    Public Overrides Sub DoAction()
        m_Person.Maennlich = Not m_Person.Maennlich
    End Sub

    Public Overrides Sub RedoAction()
        m_Person.Maennlich = Not m_Person.Maennlich
        m_frm.SelectedPerson = m_Person
        m_frm.AktuellePerson_Lesen()
    End Sub

    Public Overrides Sub UndoAction()
        m_Person.Maennlich = Not m_Person.Maennlich
        m_frm.SelectedPerson = m_Person
        m_frm.AktuellePerson_Lesen()
    End Sub

    Public Overrides ReadOnly Property IsNoop() As Boolean
        Get
            Return False
        End Get
    End Property
End Class
