Public Class Command_Nachname_Aendern
    Inherits Command

    Private m_frm As frm_Main
    Private m_Person As Person = Nothing
    Private m_AlterNachname As String
    Private m_NeuerNachname As String

    Public WriteOnly Property NeuerNachname() As String
        Set(ByVal value As String)
            m_NeuerNachname = value
            m_Person.Nachname = value
        End Set
    End Property
    Public ReadOnly Property Person() As Person
        Get
            Return m_Person
        End Get
    End Property

    Public Sub New(ByVal frm As frm_Main, ByVal Person As Person, ByVal NeuerNachname As String)
        m_frm = frm
        m_Person = Person
        m_AlterNachname = m_Person.Nachname
        m_NeuerNachname = NeuerNachname
    End Sub
    Public Overrides ReadOnly Property Name() As String
        Get
            Return "Nachname ndern"
        End Get
    End Property

    Public Overrides Sub DoAction()
        m_Person.Nachname = m_NeuerNachname
    End Sub

    Public Overrides Sub RedoAction()
        m_Person.Nachname = m_NeuerNachname
        m_frm.SelectedPerson = m_Person
        m_frm.AktuellePerson_Lesen()
    End Sub

    Public Overrides Sub UndoAction()
        m_Person.Nachname = m_AlterNachname
        m_frm.SelectedPerson = m_Person
        m_frm.AktuellePerson_Lesen()
    End Sub

    Public Overrides ReadOnly Property IsNoop() As Boolean
        Get
            Return False
        End Get
    End Property
End Class
