Public Class Command_NeuePersonAnlegen
    Inherits Command
    Private m_frm As frm_Main
    Private m_LVI As PersonListViewItem = Nothing
    Private m_LastSelectedLVI As PersonListViewItem = Nothing
    Public Overrides ReadOnly Property Name() As String
        Get
            Return "Neue Person anlegen"
        End Get
    End Property
    Public Sub New(ByVal frm As frm_Main)
        m_frm = frm
    End Sub


    Public Overrides Sub DoAction()
        If m_frm.ListView1.SelectedItems.Count > 0 Then
            m_LastSelectedLVI = m_frm.ListView1.SelectedItems(0)
        End If

        Dim PG As New PersonenGenerator
        Dim Pers As Person = PG.Create_Person

        m_frm.Personen.Add(Pers)
        m_frm.Personen.Geaendert = True
        m_LVI = New PersonListViewItem(Pers)
        m_frm.ListView1.Items.Add(m_LVI)
        m_LVI.Selected = True
        m_LVI.EnsureVisible()
    End Sub
    Public Overrides Sub RedoAction()
        m_frm.Personen.Add(m_LVI.Person)
        m_frm.ListView1.Items.Add(m_LVI)
        m_LVI.Selected = True
        m_LVI.EnsureVisible()
    End Sub

    Public Overrides Sub UndoAction()
        m_frm.Personen.Remove(m_LVI.Person)
        m_frm.ListView1.Items.Remove(m_LVI)
        If m_LastSelectedLVI IsNot Nothing Then
            m_LastSelectedLVI.Selected = True
            m_LastSelectedLVI.EnsureVisible()
        End If
    End Sub

    Public Overrides ReadOnly Property IsNoop() As Boolean
        Get
            Return False
        End Get
    End Property
End Class
