Public Class Command_Person_Loeschen
    Inherits Command

    Private m_Frm As frm_Main
    Private m_LVI As PersonListViewItem
    Private m_NewSelectedLVI As PersonListViewItem

    Public Sub New(ByVal frm As frm_Main, ByVal LVI As PersonListViewItem)
        m_Frm = frm
        m_LVI = LVI
    End Sub

    Public Overrides ReadOnly Property Name() As String
        Get
            Return "Person lschen"
        End Get
    End Property

    Public Overrides Sub DoAction()
        Dim Idx As Integer = m_LVI.Index
        m_Frm.Personen.Remove(m_LVI.Person)
        m_Frm.ListView1.Items.Remove(m_LVI)
        m_Frm.Personen.Geaendert = True
        'Index um 1 vermindern
        If Idx > 0 Then Idx -= 1
        If m_Frm.ListView1.Items.Count > 0 Then
            m_NewSelectedLVI = m_Frm.ListView1.Items(Idx)
            m_NewSelectedLVI.Selected = True
        End If
    End Sub

    Public Overrides Sub RedoAction()
        m_Frm.Personen.Remove(m_LVI.Person)
        m_Frm.ListView1.Items.Remove(m_LVI)
        If m_NewSelectedLVI IsNot Nothing Then
            m_NewSelectedLVI.Selected = True
        End If
    End Sub

    Public Overrides Sub UndoAction()
        m_Frm.Personen.Add(m_LVI.Person)
        m_Frm.ListView1.Items.Add(m_LVI)
    End Sub

    Public Overrides ReadOnly Property IsNoop() As Boolean
        Get
            Return False
        End Get
    End Property
End Class
