Public Class Command_Vorname_Aendern
    Inherits Command

    Private m_frm As frm_Main
    Private m_Person As Person = Nothing
    Private m_AlterVorname As String
    Private m_NeuerVorname As String

    Public WriteOnly Property NeuerVorname() As String
        Set(ByVal value As String)
            m_NeuerVorname = value
            m_Person.Vorname = value
        End Set
    End Property
    Public ReadOnly Property Person() As Person
        Get
            Return m_Person
        End Get
    End Property

    Public Sub New(ByVal frm As frm_Main, ByVal Person As Person, ByVal NeuerVorname As String)
        m_frm = frm
        m_Person = Person
        m_AlterVorname = m_Person.Vorname
        m_NeuerVorname = NeuerVorname
    End Sub
    Public Overrides ReadOnly Property Name() As String
        Get
            Return "Vorname ndern"
        End Get
    End Property

    Public Overrides Sub DoAction()
        m_Person.Vorname = m_NeuerVorname
    End Sub

    Public Overrides Sub RedoAction()
        m_Person.Vorname = m_NeuerVorname
        m_frm.SelectedPerson = m_Person
        m_frm.AktuellePerson_Lesen()
    End Sub

    Public Overrides Sub UndoAction()
        m_Person.Vorname = m_AlterVorname
        m_frm.SelectedPerson = m_Person
        m_frm.AktuellePerson_Lesen()
    End Sub

    Public Overrides ReadOnly Property IsNoop() As Boolean
        Get
            Return False
        End Get
    End Property
End Class
